Subject: Re: [alto] ALTO Protocol Outstanding Issue I: Specify behavior of degenerated map filtering service

From: Martin Stiemerling <[email-masked]>
Date: Thu, 21 Feb 2013 12:36:11 +0100

[writing without my AD hat on]

Hi all,

I'm sort of disappointed that actually nobody has any input to this and
the other open issue of the ALTO protocol.

Anyhow, here is my take:

On 01/29/2013 12:03 AM, Reinaldo Penno (repenno) wrote:
> Hello,
>
> This is the first of four outstanding issues related to the ALTO
> protocol. They were presented and discussed in the last IETF.
>
> For each outstanding issue I will send a separate email and a
> proposal to move forward. Please send your comments to the list in
> the next 2 weeks. Silence means we will go with the proposal.
>
> Discussion I:  Specify behaviors of degenerated map filtering
> service
>
> Do we enforce non-empty PID/AddressType? If protocol allows empty
> there are two possible design choices: default to complete map or
> reporting an Error
>
> Proposal going forward: Return complete Map.

I'm fine with that, but it should noted in the operational section that 
an empty PID can result in a full map to be returned.

   Martin

>
>
> Thanks,
>
> Reinaldo
>
>
> _______________________________________________ alto mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/alto
>

-- 
[email-masked]

NEC Laboratories Europe
NEC Europe Limited
Registered Office:
Athene, Odyssey Business Park, West End  Road, London, HA4 6QE, GB
Registered in England 2832014